io.vertx.ext.auth.htdigest

## Interface HtdigestAuth

- All Superinterfaces:
    AuthenticationProvider

      public interface HtdigestAuth
      extends AuthenticationProvider

  An extension of AuthProvider which is using .htdigest file as store
  Author:
    Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HTDIGEST_FILE` The property name to be used to set the name of the collection inside the config

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HtdigestAuth` | `create(Vertx vertx)` Creates an instance of HtdigestAuth.
    `static HtdigestAuth` | `create(Vertx vertx, String htfile)` Creates an instance of HtdigestAuth by using the given htfile file.
    `String` | `realm()` Return the currently used realm

    - ### Methods inherited from interface io.vertx.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, authenticate, authenticate`

- - ### Field Detail

    - #### HTDIGEST_FILE

          static final String HTDIGEST_FILE

      The property name to be used to set the name of the collection inside the config
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static HtdigestAuth create(Vertx vertx)

      Creates an instance of HtdigestAuth.
      Returns:
        the created instance of `HtdigestAuth`s

    - #### create

          static HtdigestAuth create(Vertx vertx,
                                     String htfile)

      Creates an instance of HtdigestAuth by using the given htfile file.
      Parameters:
        `htfile` - the existing htfile.
      Returns:
        the created instance of `HtdigestAuth`s

    - #### realm

          String realm()

      Return the currently used realm
      Returns:
        the realm

Copyright © 2024 Eclipse. All rights reserved.